restlet depends on org.springframework:spring-asm:jar:3.0.1.RELEASE

Description

In pre 4 releases, when adding restlet support I had simply added:

<dependency>
<groupId>org.jasig.cas</groupId>
<artifactId>cas-server-integration-restlet</artifactId>
<version>${cas.version}</version>
<type>jar</type>
</dependency>

From mvn dependency:tree:
[INFO] +- org.jasig.cas:cas-server-integration-restlet:jar:4.0.0-RC1:compile
[INFO] | +- org.restlet.jee:org.restlet:jar:2.1.0:compile
[INFO] | +- org.restlet.jee:org.restlet.ext.spring:jar:2.1.0:runtime
[INFO] | | +- cglib:cglib-nodep:jar:2.2:runtime
[INFO] | | +- commons-logging:commons-logging:jar:1.1.1:runtime
[INFO] | | - org.springframework:spring-asm:jar:3.0.1.RELEASE:runtime

spring-asm:jar:3.0.1.RELEASE is in conflict with 3.2.2.RELEASE from cas.

Current work around:
<dependency>
<groupId>org.jasig.cas</groupId>
<artifactId>cas-server-integration-restlet</artifactId>
<version>${cas.version}</version>
<type>jar</type>
<exclusions>
<exclusion>
<groupId>org.springframework</groupId>
<artifactId>spring-web</artifactId>
</exclusion>
<exclusion>
<groupId>org.springframework</groupId>
<artifactId>spring-asm</artifactId>
</exclusion>
</exclusions>
</dependency>

Environment

None

Status

Assignee

Jérôme LELEU

Reporter

Stephen More

Labels

None

Estimated End Date

None

Audience

None

Fix versions

Affects versions

4.0 RC1

Priority

Minor